version: '3.9'
services:
  postgres:
    container_name: payment_postgres
    image: postgres:13-alpine
    environment:
      POSTGRES_DB: payment_dev
      POSTGRES_USER: payment_dev
      POSTGRES_PASSWORD: payment_dev
    ports:
      - "5432:5432"
    restart: always
    volumes:
      - ./.dev/data:/var/lib/postgresql/data
  hasura:
    container_name: payment_hasura
    image: hasura/graphql-engine:v2.0.9
    ports:
      - "9095:8080"
    depends_on:
      - "postgres"
    restart: always
    environment:
      HASURA_GRAPHQL_METADATA_DATABASE_URL: postgres://payment_dev:payment_dev@postgres:5432/payment_dev
      PG_DATABASE_URL: postgres://payment_dev:payment_dev@postgres:5432/payment_dev
      HASURA_GRAPHQL_ENABLE_CONSOLE: "true"
      HASURA_GRAPHQL_DEV_MODE: "false"
      HASURA_GRAPHQL_ENABLED_LOG_TYPES: startup, http-log, webhook-log, websocket-log, query-log
      HASURA_GRAPHQL_ADMIN_SECRET: payment_dev
